openSUSE Security Update : xulrunner (openSUSE-2016-127)

Critical Nessus Plugin ID 88548


The remote openSUSE host is missing a security update.


XULRunner was updated to 38.6.0 to fix two security issues.

The following vulnerabilities were fixed :

- CVE-2016-1930: Miscellaneous memory safety hazards (boo#963632)

- CVE-2016-1935: Buffer overflow in WebGL after out of memory allocation (boo#963635)


Update the affected xulrunner packages.

See Also

Plugin Details

Severity: Critical

ID: 88548

File Name: openSUSE-2016-127.nasl

Version: $Revision: 2.7 $

Type: local

Agent: unix

Published: 2016/02/03

Modified: 2016/10/13

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C


Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:xulrunner, p-cpe:/a:novell:opensuse:xulrunner-32bit, p-cpe:/a:novell:opensuse:xulrunner-debuginfo, p-cpe:/a:novell:opensuse:xulrunner-debuginfo-32bit, p-cpe:/a:novell:opensuse:xulrunner-debugsource, p-cpe:/a:novell:opensuse:xulrunner-devel, cpe:/o:novell:opensuse:42.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/02/01

Reference Information

CVE: CVE-2016-1930, CVE-2016-1935